AOZ Studio Beta - Bug #270

Free, Fast Free, and Chip Free all return 0.
02/28/2020 05:52 PM - Brian Flanagan

Status: New Start date: 02/28/2020
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: Beta RC2

Description

Example:

Screen Open 0,640,200,8,Hires
Print "Test Free"

Print "Free: ",Free

Print "Fast: ",Fast Free

Print "Chip: ",Chip Free

History

#1 - 03/02/2020 01:55 AM - Brian Flanagan
- Affected version changed from 0.9.5.1 to 0.9.6

Changed affected version from 0.9.5.1 to 0.9.6. Problem still exists.

#2 - 04/19/2020 09:48 PM - Brian Flanagan
- Affected version changed from 0.9.6 to 0.9.8.1

Re-tested in 0.9.8.1. Now it's worse.

Now, Fast Free produces a syntax error.
Free and Chip Free still return 0.

#3 - 09/21/2020 12:43 AM - Brian Flanagan

- Priority changed from Normal to Low

- Estimated time set to 2:00 h

- Affected version changed from 0.9.8.1 to Beta RC2

We may be able to implement this using:
performance.memory.jsHeapSizeLimit

and
performance.memory.usedJSHeapSize

NOTE: These are available in most browsers, with the exceptions of Firefox, Seamonkey, and Safari.
